ApiGenerateExternalVaultSetupArgs (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiGenerateExternalVaultSetupArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiGenerateExternalVaultSetupArgs

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiGenerateExternalVaultSetupArgs
      extends Object

  Arguments used for the command to generate the external vault setup template

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiGenerateExternalVaultSetupArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getNamespace()` The namespace of the CDP Private control plane
    `String` | `getRemoteRepoUrl()` The url of the remote repository where the private cloud artifacts to install are hosted
    `String` | `getVaultAddr()` Optional.
    `int` | `hashCode()`
    `ApiGenerateExternalVaultSetupArgs` | `namespace(String namespace)`
    `ApiGenerateExternalVaultSetupArgs` | `remoteRepoUrl(String remoteRepoUrl)`
    `void` | `setNamespace(String namespace)`
    `void` | `setRemoteRepoUrl(String remoteRepoUrl)`
    `void` | `setVaultAddr(String vaultAddr)`
    `String` | `toString()`
    `ApiGenerateExternalVaultSetupArgs` | `vaultAddr(String vaultAddr)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiGenerateExternalVaultSetupArgs

          public ApiGenerateExternalVaultSetupArgs()

  - ### Method Detail

    - #### remoteRepoUrl

          public ApiGenerateExternalVaultSetupArgs remoteRepoUrl(String remoteRepoUrl)

    - #### getRemoteRepoUrl

          public String getRemoteRepoUrl()

      The url of the remote repository where the private cloud artifacts to install are hosted
      Returns:
        remoteRepoUrl

    - #### setRemoteRepoUrl

          public void setRemoteRepoUrl(String remoteRepoUrl)

    - #### namespace

          public ApiGenerateExternalVaultSetupArgs namespace(String namespace)

    - #### getNamespace

          public String getNamespace()

      The namespace of the CDP Private control plane
      Returns:
        namespace

    - #### setNamespace

          public void setNamespace(String namespace)

    - #### vaultAddr

          public ApiGenerateExternalVaultSetupArgs vaultAddr(String vaultAddr)

    - #### getVaultAddr

          public String getVaultAddr()

      Optional. The address the of external vault
      Returns:
        vaultAddr

    - #### setVaultAddr

          public void setVaultAddr(String vaultAddr)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.